OpenShot Audio Library | OpenShotAudio: juce::HeavyweightLeakedObjectDetector< OwnerClass > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::HeavyweightLeakedObjectDetector< OwnerClass > Class Template Reference

`#include <juce_HeavyweightLeakedObjectDetector.h>`

## Public Member Functions
| HeavyweightLeakedObjectDetector (const HeavyweightLeakedObjectDetector &) noexcept

## Detailed Description

template<class OwnerClass>
class juce::HeavyweightLeakedObjectDetector< OwnerClass >

This class is a useful way of tracking down hard to find memory leaks when the regular LeakedObjectDetector isn't enough.

As well as firing when any instances of the OwnerClass type are leaked, it will print out a stack trace showing where the leaked object was created. This is obviously quite a heavyweight task so, unlike the LeakedObjectDetector which should be always be added to your classes, you should only use this object temporarily when you are debugging and remove it when finished.

To use it, use the JUCE_HEAVYWEIGHT_LEAK_DETECTOR macro as a simple way to put one in your class declaration.

Definition at line 43 of file juce_HeavyweightLeakedObjectDetector.h.

## Constructor & Destructor Documentation

## ◆ HeavyweightLeakedObjectDetector() [1/2]

template<class OwnerClass >

juce::HeavyweightLeakedObjectDetector< OwnerClass >::HeavyweightLeakedObjectDetector | ( |  | ) |
| inlinenoexcept

Definition at line 47 of file juce_HeavyweightLeakedObjectDetector.h.

## ◆ HeavyweightLeakedObjectDetector() [2/2]

template<class OwnerClass >

juce::HeavyweightLeakedObjectDetector< OwnerClass >::HeavyweightLeakedObjectDetector | ( | const HeavyweightLeakedObjectDetector< OwnerClass > & |  | ) |
| inlinenoexcept

Definition at line 48 of file juce_HeavyweightLeakedObjectDetector.h.

## ◆ ~HeavyweightLeakedObjectDetector()

template<class OwnerClass >

juce::HeavyweightLeakedObjectDetector< OwnerClass >::~HeavyweightLeakedObjectDetector | ( |  | ) |
| inline

Definition at line 50 of file juce_HeavyweightLeakedObjectDetector.h.

The documentation for this class was generated from the following file:

- juce_HeavyweightLeakedObjectDetector.h